Api referenceWorkspaces

Update Recommendation

Reference for Update Recommendation in the Hyperoru v1 API, including request, response, and authentication details.

PATCH/v1/workspaces/{workspace_id}/recommendations/{recommendation_id}

Update Recommendation. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
recommendation_id*Recommendation Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/recommendations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "assigned_to": "b9f52997-ff03-4166-bbff-22fd35e12939",
  "category": "string",
  "confidence": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "dismissed_reason": "string",
  "evidence_ids": [
    "string"
  ],
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "priority": 0,
  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
  "snoozed_until": "2019-08-24T14:15:22Z",
  "source_audit_id": "5b2a14a5-4417-422a-89c9-69ba885147c2",
  "status": "string",
  "summary": "string",
  "title": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}